# packet (4-dimensional triangulation)

## Name

packet (4-dimensional triangulation) — A 4-dimensional triangulation packet

## Synopsis

Content Model

    packet ::= (pentachora,
                fundgroup?, H1?, H2?,
                tag*, packet*)

Attributes
See the general `packet` element documentation.

## Description

This type of triangulation packet stores a 4-dimensional triangulation (typically of a 4-manifold).

The pentachora forming this triangulation and their corresponding facet gluings are specified by the child `pentachora` element. Other optional child elements may store precalculated properties of this triangulation.

The roles played by the child `tag` and `packet` elements are described in the general `packet` element documentation.

### Note

Regina supports triangulations in many dimensions. See also the elements `packet` (2-dimensional triangulation), `packet` (3-dimensional triangulation), and `packet` (`dim`-dimensional triangulation).

### Parents

The following elements contain `packet`: `packet`, `reginadata`.

### Children

The following elements occur in `packet` for a 4-dimensional triangulation packet: `fundgroup`, `H1`, `H2`, `packet`, `pentachora`, `tag`.